# JDACommandCompletions (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDACommandCompletions

Package co.aikar.commands

# Class JDACommandCompletions

java.lang.Object
co.aikar.commands.CommandCompletions<co.aikar.commands.CommandCompletionContext<?>>
co.aikar.commands.JDACommandCompletions

public class JDACommandCompletions extends co.aikar.commands.CommandCompletions<co.aikar.commands.CommandCompletionContext<?>>

## Nested Class Summary

## Nested classes/interfaces inherited from class co.aikar.commands.CommandCompletions

`co.aikar.commands.CommandCompletions.AsyncCommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.CommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.SyncCompletionRequired`

## Constructor Summary

Constructors
Constructor
Description
`JDACommandCompletions(co.aikar.commands.CommandManager manager)`

## Method Summary

Modifier and Type
Method
Description
`co.aikar.commands.CommandCompletions.CommandCompletionHandler`
`registerAsyncCompletion(String id, co.aikar.commands.CommandCompletions.AsyncCommandCompletionHandler<co.aikar.commands.CommandCompletionContext<?>> handler)`
`co.aikar.commands.CommandCompletions.CommandCompletionHandler`
`registerCompletion(String id, co.aikar.commands.CommandCompletions.CommandCompletionHandler<co.aikar.commands.CommandCompletionContext<?>> handler)`

### Methods inherited from class co.aikar.commands.CommandCompletions

`registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, setDefaultCompletion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDACommandCompletions

public JDACommandCompletions (co.aikar.commands.CommandManager manager)

## Method Details

### registerCompletion

public co.aikar.commands.CommandCompletions.CommandCompletionHandler registerCompletion (String id, co.aikar.commands.CommandCompletions.CommandCompletionHandler<co.aikar.commands.CommandCompletionContext<?>> handler)

Overrides:
  `registerCompletion` in class `co.aikar.commands.CommandCompletions<co.aikar.commands.CommandCompletionContext<?>>`

### registerAsyncCompletion

public co.aikar.commands.CommandCompletions.CommandCompletionHandler registerAsyncCompletion (String id, co.aikar.commands.CommandCompletions.AsyncCommandCompletionHandler<co.aikar.commands.CommandCompletionContext<?>> handler)

Overrides:
  `registerAsyncCompletion` in class `co.aikar.commands.CommandCompletions<co.aikar.commands.CommandCompletionContext<?>>`